<?php
// Content Management 0.5.0 module for PHProjekt, version 3.3.
// Copyright 2002, 2003 by Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;




if ($cm_path) {
  if (fcm_can_berated ($cm_path)) {
    if (fcm_check_constraints (CM_SEC_COMMEN, $user_kurz, $cm_path)) {
      if ((fcm_get_userrating ($cm_path, $user_kurz) == 0) || ($cm_can_rerate == 1)) {
        if ($cm_ratethis) {
          $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
          fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], $cm_validops[CM_SEC_DISPLA], fcm_user_is_admin($user_kurz));
          if (($cm_rating <= CM_MAX_RATE) && ($cm_rating >= CM_MIN_RATE)) {
            if (fcm_set_rating ($cm_path, $cm_rating, $user_kurz)) {
              fcm_message ($cm_text["ratingposted"], CM_MSGSTYLE_INFORMATION);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_RATE_PAGE, "Page rated $cm_path.");
            }
            else {
              fcm_message ($cm_text["youalreadyposted"] . " " . fcm_get_userrating ($cm_path, $user_kurz), CM_MSGSTYLE_ERROR);
              fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when rating page. User already rated.");
            }
          }
          else {
            fcm_message ($cm_text["invalidrating"] . " " . fcm_get_userrating ($cm_path, $user_kurz), CM_MSGSTYLE_ERROR);
            fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when rating page. Invalid rate value.");
          }
        }
        else {
          $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
          fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], $cm_validops[CM_SEC_DISPLA], fcm_user_is_admin($user_kurz));
          fcm_message ($cm_text["postingrate"], CM_MSGSTYLE_INFORMATION);
          $cm_ratecw = round (100/(CM_MAX_RATE - CM_MIN_RATE + 1));
          echo "<table align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\"><tr><td class=\"ratingboxborder\">";
          echo "<table width=\"300\" border=\"0\" cellspacing=\"0\" cellpadding=\"5\"><tr><td class=\"ratingbox\">\n";
          echo "
            <form action=\"userrating.php\" method=\"post\">\n
            <table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" align=\"center\">\n
            <tr>\n
            	<td width=\"$cm_ratecw%\" align=\"center\">{$cm_text["poorrate"]}</td>\n
            	<td width=\"" . round (100 - ($cm_ratecw * 2)) . "%\" align=\"center\" colspan=\"" . round (CM_MAX_RATE - CM_MIN_RATE - 1) . "\">{$cm_text["averagerate"]}</td>\n
            	<td width=\"$cm_ratecw%\" align=\"center\">{$cm_text["goodrate"]}</td>\n
            </tr>\n
            <tr>\n";
            for ($cm_rc = CM_MIN_RATE; $cm_rc <= CM_MAX_RATE; $cm_rc++)  {
              echo "<td width=\"$cm_ratecw%\" align=\"center\"><input type=\"radio\" name=\"cm_rating\" value=\"$cm_rc\"></td>\n";
            }
            echo "
            </tr>\n
            <tr><td align=\"center\" colspan=\"" . (CM_MAX_RATE - CM_MIN_RATE + 1) . "\">\n
              <input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">
              <input type=\"submit\" name=\"cm_ratethis\" value=\"{$cm_text["postrating"]}\">
            </td></tr>\n
            </table>\n
            </form>\n
          ";
          echo "</td></tr></table></td></tr></table>\n";
        }
      }
      else {
        $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
        fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], $cm_validops[CM_SEC_DISPLA], fcm_user_is_admin($user_kurz));
        fcm_message ($cm_text["youalreadyposted"] . " " . fcm_get_userrating ($cm_path, $user_kurz), CM_MSGSTYLE_ERROR);
        fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when rating page. User already rated.");
      }
    }
    else {
      fcm_title_nav2 ($cm_path, false, false, false, false, false, false, false);
      fcm_message ($cm_text["needaccesstorate"], CM_MSGSTYLE_WARNING);
      fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when rating page. Not enough permissions.");
    }
  }
  else {
    fcm_title_nav2 ($cm_path, false, false, false, false, false, false, false);
    fcm_message ($cm_text["ratingisdisabled"], CM_MSGSTYLE_WARNING);
    fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when rating page. Rating is disabled for this page.");
  }
}
else {
  fcm_title_nav2 ("", false, false, false, false, false, false, false);
  fcm_message ($cm_text["dirnotfound"], CM_MSGSTYLE_ERROR);
  fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when rating page. Dir not found.");
}


echo $cm_html_footer;
?>

